Bug 1673474

Summary: vmware compute-attributes scsi_controller_type not honored
Product: Red Hat Satellite 6 Reporter: Serge Savard <serge.savard>
Component: HammerAssignee: Ondřej Ezr <oezr>
Status: CLOSED ERRATA QA Contact: Sanket Jagtap <sjagtap>
Severity: high Docs Contact:
Priority: unspecified    
Version: 6.4CC: akarsale, apatel, chrobert, dhlavacd, ehelms, kgaikwad, mbacovsk, mshira, rabajaj, zhunting
Target Milestone: 6.5.0Keywords: Triaged, UserExperience
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
URL: https://projects.theforeman.org/issues/25192
Whiteboard:
Fixed In Version: foreman-1.20.1.31-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-14 12:40:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Screenshot of VM on VMrware none

Description Serge Savard 2019-02-07 15:26:23 UTC
Description of problem:
Creating a vmware host with the compute-attributes scsi_controller_type is not creating the VM with the provided SCSI controller type


Version-Release number of selected component (if applicable):

vSphere 6.5
hammer (0.13.1.1)


How reproducible:

All the time

Steps to reproduce :

Create a host and specify the scsi_controller_type compute-attributes

      hammer host create --name "test.local" \
      --organization "ORG" \
      --location "location" \
      --compute-resource host.vmware.local \
      --compute-attributes="cpus=2,corespersocket=1,memory_mb=2048,cluster=PRODUCTION,path=TO_CLASS,start=1,guest_id=rhel7_64Guest,scsi_controller_type=ParaVirtualSCSIController,hardware_version=vmx-10" \
      --provision-method build \
      --build true \
      --enabled true \
      --managed true \
      --interface "managed=true,primary=true,provision=true,compute_type=VirtualVmxnet3,compute_network=VLAN100" \
      --hostgroup SOME_HOST_GROUP \
      --ip 10.0.0.10 \
      --volume="size_gb=20G,datastore=PROD,name=myharddisk,thin=true"



Actual results:

The VM is created with the "VirtualLsiLogicController" scsi controller

Expected results:

The VM is created with the "ParaVirtualSCSIController" scsi controller


Additional info:

I have changed the following lines 

    def scsi_controller_default_type
      #"VirtualLsiLogicController"
      "ParaVirtualSCSIController"
    end

in /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb

to at least default to ParaVirtualSCSIController.

Comment 3 Chris Roberts 2019-02-08 16:31:37 UTC
Hi,

This was fixed in this commit:

https://github.com/theforeman/hammer-cli-foreman/commit/a1b20c60c528b5b0ff366ef07c9bdcb2687ae2f8

It should be available in:

Hammer-cli-foreman 0.16.0

I will set it to 6.5 and see if it gets accept during the next triage meeting.

Comment 4 Sanket Jagtap 2019-03-13 15:19:16 UTC
Build: Satellite 6.5 snap19

This works when done from UI, but from CLI even when you pass the ParaVirtualSCSIController the default is picked 

hammer host create --compute-attributes="cpus=2,corespersocket=2,memory_mb=4028,cluster=Satellite_Engineering,path=/Datacenters/RH_Engineering/vm/QE,guest_id=rhel7_64Guest,scsi_controller_type=ParaVirtualSCSIController,hardware_version=Default,start=1" --compute-resource-id="11" --hostgroup="rXCzquDCpau" --interface="compute_network=network-5114,compute_type=VirtualVmxnet3" --location="KEeDjXMSWD" --name="bugverify" --organization="jhmJNoOgTP" --provision-method="build" --pxe-loader="PXELinux BIOS" --root-password="lZaorBeUZv" --volume="name=Hard disk,size_gb=10,thin=true,eager_zero=false,datastore=Local-Ironforge"
Host created.


In VMware it's the default value 
SCSI controller 0 LSI Logic Parallel

Comment 6 Bryan Kearney 2019-03-18 16:03:12 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 7 Marek Hulan 2019-03-19 08:15:32 UTC
Linking second upstream issue

Comment 8 Bryan Kearney 2019-03-20 16:03:10 UTC
Upstream bug assigned to oezr@redhat.com

Comment 9 Bryan Kearney 2019-03-20 16:03:12 UTC
Upstream bug assigned to oezr@redhat.com

Comment 12 Sanket Jagtap 2019-04-15 08:24:44 UTC
Build: Satellite snap24

2019-04-15 04:10:34 - robottelo.ssh - DEBUG - Instantiated Paramiko client 0x7f6976c39ba8
2019-04-15 04:10:34 - robottelo.ssh - INFO - Connected to [qe-sat65-rhel7-tier3.]
2019-04-15 04:10:34 - robottelo.ssh - INFO - >>> b'LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv host create --compute-attributes="cpus=2,corespersocket=2,memory_mb=4028,cluster=Satellite_Engineering,path=/Datacenters/RH_Engineering/vm/QE,guest_id=rhel7_64Guest,scsi_controller_type=ParaVirtualSCSIController,hardware_version=Default,start=1" --compute-resource-id="11" --hostgroup="gWyndmOjYoIp" --interface="compute_network=network-5114,compute_type=VirtualVmxnet3" --location="TllguNwgdB" --name="mjnxcxuoog" --organization="wVeAgcbGKj" --provision-method="build" --pxe-loader="PXELinux BIOS" --root-password="wPjexUTYvu" --volume="name=Hard disk,size_gb=10,thin=true,eager_zero=false,datastore=Local-Ironforge"'
2019-04-15 04:10:47 - robottelo.ssh - INFO - <<< stdout
Message,Id,Name
Host created.,128,mjnxcxuoog.


PFA for Vmware side screen

Comment 13 Sanket Jagtap 2019-04-15 08:25:40 UTC
Created attachment 1555163 [details]
Screenshot of VM on VMrware

Controller was selected correctly.

Comment 16 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222